Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.receivers
Class RawXMLINOutMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver
              org.apache.axis2.receivers.RawXMLINOutMessageReceiver

All Implemented Interfaces:
  MessageReceiver

Direct Known Subclasses:
  RawXMLINOutAsyncMessageReceiver

    public class RawXMLINOutMessageReceiver

extends AbstractInOutSyncMessageReceiver
implements MessageReceiver

The RawXMLINOutMessageReceiver MessageReceiver hands over the raw request received to the service implementation class as an OMElement. The implementation class is expected to return back the OMElement to be returned to the caller. This is a synchronous MessageReceiver, and finds the service implementation class to invoke by referring to the "ServiceClass" parameter value specified in the service.xml and looking at the methods of the form OMElement <>(OMElement request)

See Also:
  `RawXMLINOnlyMessageReceiver`, `RawXMLINOutAsyncMessageReceiver`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`AbstractMessageReceiver.AsyncMessageReceiverWorker, AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`RawXMLINOutMessageReceiver()`

Method Summary
`void` | `invokeBusinessLogic(MessageContext msgContext, MessageContext newmsgContext)` Invokes the bussiness logic invocation on the service implementation class

Methods inherited from class org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver
`invokeBusinessLogic`

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis2.engine.MessageReceiver
`receive`

Constructor Detail

### RawXMLINOutMessageReceiver

    public RawXMLINOutMessageReceiver()

Method Detail

### invokeBusinessLogic

    public void invokeBusinessLogic(MessageContext msgContext,
                                    MessageContext newmsgContext)
                             throws AxisFault

  Invokes the bussiness logic invocation on the service implementation class

  Specified by:
    `invokeBusinessLogic` in class `AbstractInOutSyncMessageReceiver`
  Parameters:
    `msgContext` - the incoming message context
    `newmsgContext` - the response message context
  Throws:
    `AxisFault` - on invalid method (wrong signature) or behaviour (return null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.